MPI_Dist_graph_neighbors_count(3)

NAME
MPI_Dist_graph_neighbors_count - Returns the number of in and out edges for the calling processes in a distributed graph topology and a flag indicating whether the distributed graph is weighted.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Dist_graph_neighbors_count(MPI_Comm comm, int *indegree,
	int *outdegree, int *weighted)

INPUT PARAMETERS

comm
    Communicator with distributed graph topology (handle).

OUTPUT PARAMETERS

indegree
    Number of edges into this process (non-negative integer).

outdegree
    Number of edges out of this process (non-negative integer).

weighted
    False if MPI_UNWEIGHTED was supplied during creation, true otherwise (logical).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Dist_graph_neighbors_count and MPI_Graph_neighbors provide adjacency information for a distributed graph topology. MPI_Dist_graph_neighbors_count returns the number of sources and destinations for the calling process.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Dist_graph_neighbors